| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csplugincommon/render3d/txtmgr.h File Reference

Texture manager base implementation. More...

`#include "csextern.h"`
`#include "csgfx/rgbpixel.h"`
`#include "csutil/parray.h"`
`#include "csutil/scf_implementation.h"`
`#include "csutil/weakrefarr.h"`
`#include "iengine/material.h"`
`#include "iengine/texture.h"`
`#include "ivideo/graph2d.h"`
`#include "ivideo/material.h"`
`#include "ivideo/shader/shader.h"`
`#include "ivideo/texture.h"`
`#include "ivideo/txtmgr.h"`

Go to the source code of this file.

## Classes
class | csTextureHandle
| This class is the top-level representation of a texture. More...
class | csTextureManager
| General version of the texture manager. More...

## Detailed Description

Texture manager base implementation.

Definition in file txtmgr.h.